<p>bikes-list works!</p>
<h1>Bikes List <fa-icon icon="list"></fa-icon>
</h1>
<style>
    table,
    tr,
    th {
        border: 3px solid green;
        border-collapse: collapse;
        color: black;
    }
</style>
<table>
    <tr>
        <th>Id</th>
        <th>Model</th>
        <th>Price</th>
        <th>Serial</th>
        <th>Action</th>
    </tr>

    <tr *ngFor="let item of bikesList">
        <th> {{ item.id }}</th>
        <th> {{item.model }} </th>
        <th> {{ item.price }} </th>
        <th> {{ item.serial }} </th>
        <th><a [routerLink]="['./bikes-update', item.id]" routerLinkActive="router-link-active">Update</a>
            <button (click)="deleteItem(item.id)">Eliminar</button>
        </th>

    </tr>
</table>
<hr>
<!--
<div>
    <button (click)="initPagination(i)" *ngFor="let item of listPages; index as i">{{i+1}}</button>
</div>
-->